# AnyTLS - sing-box
The universal proxy platform.
Author: nekohasekai

Skip to content

# AnyTLS

Since sing-box 1.12.0

### Structure

    {
      "type": "anytls",
      "tag": "anytls-out",

      "server": "127.0.0.1",
      "server_port": 1080,
      "password": "8JCsPssfgS8tiRwiMlhARg==",
      "idle_session_check_interval": "30s",
      "idle_session_timeout": "30s",
      "min_idle_session": 5,
      "tls": {},

      ... // Dial Fields
    }

### Fields

#### server

Required

The server address.

#### server_port

Required

The server port.

#### password

Required

The AnyTLS password.

#### idle_session_check_interval

Interval checking for idle sessions. Default: 30s.

#### idle_session_timeout

In the check, close sessions that have been idle for longer than this. Default: 30s.

#### min_idle_session

In the check, at least the first `n` idle sessions are kept open. Default value: `n`=0

#### tls

Required

TLS configuration, see TLS.

### Dial Fields

See Dial Fields for details.